export default defineEventHandler(async (event) => {
  try {
    const body = await readBody(event)
    const { key, value } = body
    let username = event.context.username

    if (typeof key === 'string') {
      setUserConfig(username, key, value)
    }
  } catch(err) {
    setResponseStatus(event, 500)
    return err
  }
})